package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TFivesRegion;

/**
 * 区域列台账Service接口
 * 
 * @author ruoyi
 * @date 2023-03-30
 */
public interface ITFivesRegionService 
{
    /**
     * 查询区域列台账
     * 
     * @param id 区域列台账ID
     * @return 区域列台账
     */
    public TFivesRegion selectTFivesRegionById(Long id);

    /**
     * 查询区域列台账列表
     * 
     * @param tFivesRegion 区域列台账
     * @return 区域列台账集合
     */
    public List<TFivesRegion> selectTFivesRegionList(TFivesRegion tFivesRegion);

    /**
     * 新增区域列台账
     * 
     * @param tFivesRegion 区域列台账
     * @return 结果
     */
    public int insertTFivesRegion(TFivesRegion tFivesRegion);

    /**
     * 修改区域列台账
     * 
     * @param tFivesRegion 区域列台账
     * @return 结果
     */
    public int updateTFivesRegion(TFivesRegion tFivesRegion);

    /**
     * 批量删除区域列台账
     * 
     * @param ids 需要删除的区域列台账ID
     * @return 结果
     */
    public int deleteTFivesRegionByIds(Long[] ids);

    /**
     * 删除区域列台账信息
     * 
     * @param id 区域列台账ID
     * @return 结果
     */
    public int deleteTFivesRegionById(Long id);
}
